FROM node:lts-alpine as build-stage
MAINTAINER fanyanpeng fanyanpeng@smail.nju.edu.cn
WORKDIR /app
ENV TZ Asia/Shanghai
COPY package*.json ./
RUN npm config set registry https://registry.npm.taobao.org
RUN npm install
COPY . .
RUN npm run build

FROM nginx:stable-alpine as production-stage
COPY --from=build-stage /app/dist /usr/share/nginx/html
EXPOSE 80
CMD ["nginx", "-g", "daemon off;"]